## org.apache.aries.subsystem.core.archive
Class SubsystemManifestVersionHeader

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractHeader
          org.apache.aries.subsystem.core.archive.VersionHeader
              org.apache.aries.subsystem.core.archive.SubsystemManifestVersionHeader

All Implemented Interfaces:
  Header

    public class SubsystemManifestVersionHeader

extends VersionHeader

Field Summary
`static SubsystemManifestVersionHeader` `DEFAULT`
`static org.osgi.framework.Version` `DEFAULT_VALUE`
`static String` `NAME`

Fields inherited from class org.apache.aries.subsystem.core.archive.VersionHeader
`version`

Fields inherited from class org.apache.aries.subsystem.core.archive.AbstractHeader
`clauses, name, PATTERN, REGEX, value`

Constructor Summary
`SubsystemManifestVersionHeader()`
`SubsystemManifestVersionHeader(String value)`
`SubsystemManifestVersionHeader(org.osgi.framework.Version version)`

Method Summary

Methods inherited from class org.apache.aries.subsystem.core.archive.VersionHeader
`getVersion`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractHeader
`appendResource, getClauses, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_VALUE

    public static final org.osgi.framework.Version DEFAULT_VALUE

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### DEFAULT

    public static final SubsystemManifestVersionHeader DEFAULT

Constructor Detail

### SubsystemManifestVersionHeader

    public SubsystemManifestVersionHeader()

### SubsystemManifestVersionHeader

    public SubsystemManifestVersionHeader(String value)

### SubsystemManifestVersionHeader

    public SubsystemManifestVersionHeader(org.osgi.framework.Version version)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.